/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


void MainForm::fileNew()
{

}


void MainForm::fileOpen()
{

}


void MainForm::fileSave()
{
    QImage myimg=GLView->grabFrameBuffer();
    myimg.save("QTMoebiusSnapshot.png","PNG");
		QMessageBox::information( this, "QTMoebius","Saved snapshot");
}


void MainForm::fileSaveAs()
{

}


void MainForm::filePrint()
{

}


void MainForm::fileExit()
{

}

void MainForm::init()
{
	GLView->ring=&ring;
	rebuildRing();
	idleTimer.changeInterval(0);
	connect(&idleTimer, SIGNAL(timeout()),GLView,SLOT(update()));
}


void MainForm::helpIndex()
{

}


void MainForm::helpContents()
{

}


void MainForm::helpAbout()
{

}




void MainForm::rebuildRing()
{
      CIMoebius::myShape s;
      s.BuildNGon(SideNumSpinBox->value(),1);
      ring.GenerateMoebiusRing(s,36,3,TwistSpinBox->value()*360/SideNumSpinBox->value());
      GLView->update();
//      QString buf;
//      QMessageBox::information(this,"QTMoebius",buf.sprintf(" twist %i, side %i",SideNumSpinBox->value(),TwistSpinBox->value()));
}


CIMoebius * MainForm::r()
{
return &ring;
}
